SELECT Nazwisko, Miejscowosc
FROM Klienci;

SELECT * FROM Pozycje_zamowione;
SELECT * FROM klienci k;

SELECT Klienci.KlientID, Klienci.Nazwisko, Zamowienia.ZamowienieID
FROM Klienci LEFT JOIN Zamowienia
ON Klienci.KlientID = Zamowienia.KlientID;

SELECT Zamowienia.ZamowienieID, Zamowienia.Wartosc, Zamowienia.Data
FROM Klienci, Zamowienia
WHERE Klienci.Nazwisko='Julia Kowalska' AND Klienci.KlientID=Zamowienia.KlientID;

SELECT * FROM Zamowienia WHERE Klientid=3;

SELECT Kl.Nazwisko
FROM Klienci AS Kl, Zamowienia AS Z, Pozycje_zamowione AS Pz, Ksiazki AS Ks
WHERE Kl.KlientID = Z.KlientID
AND Z.ZamowienieID = Pz.ZamowienieID
AND Pz.ISBN = Ks.ISBN
AND Ks.Tytul LIKE '%Java%';

SELECT K1.Nazwisko, K2.Nazwisko, K1.Miejscowosc
FROM Klienci AS K1, Klienci AS K2
WHERE K1.Miejscowosc = K2.Miejscowosc
AND K1.Nazwisko != K2.Nazwisko;

SELECT Nazwisko, Adres
FROM Klienci
ORDER BY Nazwisko;

SELECT Nazwisko, Adres
FROM Klienci
ORDER BY Nazwisko ASC;

SELECT AVG(Wartosc)
FROM Zamowienia;

SELECT KlientID, AVG(Wartosc)
FROM Zamowienia
GROUP BY KlientID;


SELECT Nazwisko, Adres
FROM Klienci
ORDER BY Nazwisko DESC;

SELECT KlientID, AVG(Wartosc)
FROM Zamowienia
GROUP BY KlientID
HAVING AVG(Wartosc)>50;

SELECT Nazwisko
FROM Klienci
LIMIT 2;

SELECT Nazwisko
FROM Klienci
LIMIT 2,3;

SELECT KlientID, Wartosc
FROM Zamowienia
WHERE Wartosc = (SELECT MAX(Wartosc) FROM Zamowienia);

SELECT KlientID, Wartosc
FROM Zamowienia
ORDER BY Wartosc Desc
LIMIT 1;

SELECT ISBN, Tytul
FROM Ksiazki
WHERE NOT EXISTS
  (SELECT * FROM Pozycje_zamowione WHERE Pozycje_zamowione.ISBN = Ksiazki.ISBN);

SELECT * FROM
(SELECT KlientID, Nazwisko FROM Klienci WHERE Miejscowosc = 'Katowice')
AS klienci_katowice;

UPDATE Ksiazki
SET Cena = Cena*1.1;

UPDATE Klienci
SET Adres='Olkuska 250'
WHERE KlientID = 4;

ALTER TABLE Klienci
MODIFY Nazwisko CHAR(70) NOT NULL;

DELETE FROM Klienci
WHERE KlientID = 4;
